﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Olap;

namespace FromDataSet
{
     public class TopCountResult<T> : 
        IAggregationResult<T, TopCountCache<T>>
    {
        private readonly TopCountCache<T> _cache;

        public TopCountResult()
        {
            this._cache = new TopCountCache<T>();
        }

        public TopCountCache<T> Cache
        {
            get
            {
                return this._cache;
            }
        }

        public T Value
        {
            get
            {
                return this.Cache.TopItem;
            }

            set
            {
                throw new NotImplementedException();
            }
        }

        object IAggregationResult.Value
        {
            get
            {
                return this.Value;
            }
        }

        object IAggregationResult.Cache
        {
            get
            {
                return this.Cache;
            }
        }
    }



}
